--- l2p/src/drive_ps.c	2005-02-17 10:34:44
+++ l2p/src/drive_ps.c	2026-05-01 10:31:03
@@ -204,8 +204,8 @@
 	};
 }
 
-extern rps_print_dict_color ();
-extern rps_print_dict_bw ();
+extern void rps_print_dict_color ();
+extern void rps_print_dict_bw ();
 /* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
 void rps_put_psdict (pg)
 rps_pge	*pg;
--- l2p/src/l2p.c	2002-09-30 12:20:42
+++ l2p/src/l2p.c	2026-05-01 10:31:03
@@ -56,6 +56,8 @@
 #include "rpr.h"
 #include "rfm.h"
 
+extern void rps_print_dict_bw(void *);
+extern void rps_print_dict_color(void *);
 extern void rps_print_man ();
 extern struct rps_param p;
 
--- l2p/src/tmp_dict.c	2002-06-19 12:43:20
+++ l2p/src/tmp_dict.c	2026-05-01 10:31:03
@@ -1,4 +1,4 @@
-extern rps_put();
+extern void rps_put();
 void rps_print_dict_bw (pg)
 void *pg;
 {
--- log/src/log.h	2009-06-14 09:51:47
+++ log/src/log.h	2026-05-01 10:31:03
@@ -306,7 +306,7 @@
   extern            void destroyCct __P((pCircuit pC));
   extern           pNode searchOutputCct __P((pCircuit pC, char *name));
   extern            void addOutputCct __P((pCircuit pC, char *name, pNode pt));
-  extern          char * searchIndexCct __P((pCircuit pC, short index));
+  extern          char * searchIndexCct __P((pCircuit pC, int index));
   extern           short searchInputCct __P((pCircuit pC, char *name));
   extern           short addInputCct __P((pCircuit pC, char *name));
   extern            void delInputCct __P((pCircuit pC, char *name));
@@ -316,7 +316,7 @@
   extern            void proofCct __P((pCircuit pC1, pCircuit pC2));
   extern           pNode ablToBddCct __P((pCircuit pC, chain_list *expr));
   extern            void cpOrderCct __P((pCircuit CC1, pCircuit CC2));
-  extern            void upVarCct __P((pCircuit pC, pNode ptOldIndex, short newIndex));
+  extern            void upVarCct __P((pCircuit pC, pNode ptOldIndex, int newIndex));
   extern             long numberNodeCct __P((pCircuit pC));
   extern             long numberNodeTdgCct __P((pCircuit pC));
   extern    chain_list * bddToAblCct __P((pCircuit pC, pNode pBdd));
--- log/src/log_bdd1.c	2009-06-14 09:51:47
+++ log/src/log_bdd1.c	2026-05-01 10:31:03
@@ -40,6 +40,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include "mut.h"
 #include "log.h"
 
@@ -174,7 +175,7 @@
 char *
 searchIndexCct (pC, index)
      pCircuit pC;
-     short index;
+     int index;
 {
   if (index <= pC->countI)
     return (*(pC->pNameI + index - 2));
@@ -326,7 +327,7 @@
   for (i = 0; i < (pC->pTI)->length; i++)
     {
       if (pEl->value != EMPTYTH && pEl->value != DELETETH)
-	printf ("INPUT = %s	INDEX = %d\n", pEl->key, pEl->value);
+	printf ("INPUT = %s	INDEX = %ld\n", pEl->key, pEl->value);
       pEl++;
     }
   printf ("\n-------------  NUMBER OF INPUTS : %d\n\n", (pC->countI) - 2);
@@ -346,7 +347,7 @@
 	  printf ("OUTPUT = %s", pEl->key);
 	  if (mode == 0)
 	    {
-	      printf ("	BDD = %d\n", pEl->value);
+	      printf ("	BDD = %ld\n", pEl->value);
 	      displayBddName (TRUE, (pNode)pEl->value, pC->pNameI);
 	    }
 	  else
@@ -600,7 +601,7 @@
 upVarCct (pC, ptOldIndex, newIndex)
      pCircuit pC;
      pNode ptOldIndex;
-     short newIndex;
+     int newIndex;
 {
   long i;
   pElemTH pEl;
--- loon/src/lon_lib_negativ.c	2006-03-29 12:10:14
+++ loon/src/lon_lib_negativ.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 #include <mut.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_lib_negativ.h"
 
 
@@ -61,30 +62,30 @@
 
    switch (ABL_OPER(abl)) {
       case ABL_AND: 
-         if (negativ) ABL_OPER_L(abl)=ABL_NAND;
-         else ABL_OPER_L(abl)=ABL_NOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NAND;
+         else ABL_OPER_L(abl)=(void *)ABL_NOR;
          negativ=!negativ;
          break;
       case ABL_NAND: 
-         if (negativ) ABL_OPER_L(abl)=ABL_NOR;
-         else ABL_OPER_L(abl)=ABL_NAND;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NOR;
+         else ABL_OPER_L(abl)=(void *)ABL_NAND;
          break;
       case ABL_OR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NOR;
-         else ABL_OPER_L(abl)=ABL_NAND;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NOR;
+         else ABL_OPER_L(abl)=(void *)ABL_NAND;
          negativ=!negativ;
          break;
       case ABL_NOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NAND;
-         else ABL_OPER_L(abl)=ABL_NOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NAND;
+         else ABL_OPER_L(abl)=(void *)ABL_NOR;
          break;
       case ABL_XOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_NXOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_NXOR;
          negativ=0;
          /*nothing to do:  same size XOR and NXOR*/
          break;
       case ABL_NXOR:
-         if (negativ) ABL_OPER_L(abl)=ABL_XOR;
+         if (negativ) ABL_OPER_L(abl)=(void *)ABL_XOR;
          negativ=0;
          /*nothing to do*/
          break;
@@ -175,12 +176,12 @@
          continue;
       }
       switch (ABL_OPER(leaf)) {
-         case ABL_AND: ABL_OPER_L(leaf)=ABL_NAND; break; 
-         case ABL_OR: ABL_OPER_L(leaf)=ABL_NOR; break; 
-         case ABL_NAND: ABL_OPER_L(leaf)=ABL_AND; break; 
-         case ABL_NOR: ABL_OPER_L(leaf)=ABL_OR; break; 
-         case ABL_XOR: ABL_OPER_L(leaf)=ABL_NXOR; break; 
-         case ABL_NXOR: ABL_OPER_L(leaf)=ABL_XOR; break; 
+         case ABL_AND: ABL_OPER_L(leaf)=(void *)ABL_NAND; break;
+         case ABL_OR: ABL_OPER_L(leaf)=(void *)ABL_NOR; break;
+         case ABL_NAND: ABL_OPER_L(leaf)=(void *)ABL_AND; break;
+         case ABL_NOR: ABL_OPER_L(leaf)=(void *)ABL_OR; break;
+         case ABL_XOR: ABL_OPER_L(leaf)=(void *)ABL_NXOR; break;
+         case ABL_NXOR: ABL_OPER_L(leaf)=(void *)ABL_XOR; break;
          case ABL_NOT: 
             ABL_CAR_L(chain)=ABL_CADR(leaf);
             freechain(leaf);
@@ -192,12 +193,12 @@
    }
    
    switch (ABL_OPER(abl)) {
-      case ABL_AND: ABL_OPER_L(abl)=ABL_NOR; break; 
-      case ABL_OR: ABL_OPER_L(abl)=ABL_NAND; break; 
-      case ABL_NAND: ABL_OPER_L(abl)=ABL_OR; break; 
-      case ABL_NOR: ABL_OPER_L(abl)=ABL_AND; break; 
-      case ABL_XOR: ABL_OPER_L(abl)=ABL_NXOR; break; 
-      case ABL_NXOR: ABL_OPER_L(abl)=ABL_XOR; break; 
+      case ABL_AND: ABL_OPER_L(abl)=(void *)ABL_NOR; break;
+      case ABL_OR: ABL_OPER_L(abl)=(void *)ABL_NAND; break;
+      case ABL_NAND: ABL_OPER_L(abl)=(void *)ABL_OR; break;
+      case ABL_NOR: ABL_OPER_L(abl)=(void *)ABL_AND; break;
+      case ABL_XOR: ABL_OPER_L(abl)=(void *)ABL_NXOR; break;
+      case ABL_NXOR: ABL_OPER_L(abl)=(void *)ABL_XOR; break;
       case ABL_NOT: 
          chain=abl;
          abl=ABL_CADR(abl);
--- loon/src/lon_lib_reader.c	2004-09-06 17:26:09
+++ loon/src/lon_lib_reader.c	2026-05-01 10:31:03
@@ -37,6 +37,7 @@
 #include <abe.h>
 #include <mlu.h>
 #include <abv.h>
+#include <aut.h>
 #include "lon_normalize_register.h"
 #include "lon_normalize_DAG.h"
 #include "lon_normalize_simplify.h"
--- loon/src/lon_lib_specifications.c	2004-09-06 17:26:09
+++ loon/src/lon_lib_specifications.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 #include <mlo.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_lib_specifications.h"
 
 
--- loon/src/lon_normalize_DAG.c	2006-03-29 12:10:14
+++ loon/src/lon_normalize_DAG.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 #include <mut.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include <mlo.h>
 #include "lon_lax_param.h"
 #include "lon_normalize_message.h"
@@ -39,9 +40,9 @@
 
 
 #define USING(node) {(int)node=-mark;}
-#define USING_L(node) {node=-mark;}
+#define USING_L(node) {node=(struct bddnode *)-mark;}
 #define USED(node) {(int)node=(int)((((int)node<0)?0:(int)node)+1);}
-#define USED_L(node) {node=(int)((((int)node<0)?0:(int)node)+1);}
+#define USED_L(node) {node=(struct bddnode *)((((int)node<0)?0:(int)node)+1);}
 #define IS_USING(node) ((int)node==-mark)
 #define IS_USED(node) ((int)node!=0)
 #define IS_UNUSED(node) ((int)node==0)
--- loon/src/lon_normalize_message.c	2004-09-06 17:26:09
+++ loon/src/lon_normalize_message.c	2026-05-01 10:31:03
@@ -33,6 +33,7 @@
 #include <stdio.h>
 #include <mut.h>
 #include <abl.h>
+#include <aut.h>
 #include "lon_normalize_message.h"
 
 
--- loon/src/lon_normalize_register.c	2004-09-06 17:26:09
+++ loon/src/lon_normalize_register.c	2026-05-01 10:31:03
@@ -34,6 +34,7 @@
 #include <mut.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_normalize_message.h"
 #include "lon_normalize_register.h"
 
--- loon/src/lon_normalize_simplify.c	2006-03-29 12:10:14
+++ loon/src/lon_normalize_simplify.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 #include <mut.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_normalize_simplify.h"
 
 
@@ -57,13 +58,13 @@
    
    switch(ABL_OPER(abl)) {
    case ABL_NAND: 
-      ABL_OPER_L(abl)=ABL_AND;
+      ABL_OPER_L(abl)=(void *)ABL_AND;
       return createablnotexpr(abl);
    case ABL_NOR: 
-      ABL_OPER_L(abl)=ABL_OR;
+      ABL_OPER_L(abl)=(void *)ABL_OR;
       return createablnotexpr(abl);
    case ABL_NXOR: 
-      ABL_OPER_L(abl)=ABL_XOR;
+      ABL_OPER_L(abl)=(void *)ABL_XOR;
       return createablnotexpr(abl);
    default: return abl;         
    }
--- loon/src/lon_optim_stats.c	2004-09-06 17:26:09
+++ loon/src/lon_optim_stats.c	2026-05-01 10:31:03
@@ -33,6 +33,7 @@
 #include <mlo.h>
 #include <abl.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_lib_utils.h"
 #include "lon_signal_netlist.h"
 #include "lon_optim_stats.h"
--- loon/src/lon_xsch_driver.c	2004-09-07 17:16:11
+++ loon/src/lon_xsch_driver.c	2026-05-01 10:31:03
@@ -40,6 +40,7 @@
 #include <abl.h>
 #include <mlo.h>
 #include <abe.h>
+#include <aut.h>
 #include "lon_lib_utils.h"
 #include "lon_signal_utils.h"
 #include "lon_signal_netlist.h"
--- lvx/src/lvx.c	2004-05-22 10:26:08
+++ lvx/src/lvx.c	2026-05-01 10:31:03
@@ -100,8 +100,10 @@
 #include <stdio.h>
 #include <string.h>
 #include <signal.h>
+#include <time.h>
 #include <mut.h>
 #include <mlo.h>
+#include <mlu.h>
 
 #define  TRUE          1
 #define  FALSE         0
@@ -178,7 +180,7 @@
 /*****************************************************************************/
 
 /*===========================================================================*/
-          fatalerror (message)
+          void fatalerror (message)
 /*===========================================================================*/
 char *message;
 
@@ -727,7 +729,7 @@
 
 
 /*===========================================================================*/
-          mylofigchain (lofig)
+          void mylofigchain (lofig)
 /*===========================================================================*/
 lofig_list *lofig;
 
@@ -1338,7 +1340,7 @@
 
 
 /*===========================================================================*/
-          localstartid ( ptlocon, name1, name2)
+          void localstartid ( ptlocon, name1, name2)
 /*===========================================================================*/
 locon_list *ptlocon;
 char *name1, *name2;
@@ -1360,7 +1362,7 @@
 
 
 /*===========================================================================*/
-          reducepower (lofig1, lofig2)
+          void reducepower (lofig1, lofig2)
 /*===========================================================================*/
 lofig_list *lofig1, *lofig2;
 
@@ -1525,7 +1527,7 @@
 
 
 /*===========================================================================*/
-          order (lofig1, lofig2)
+          void order (lofig1, lofig2)
 /*===========================================================================*/
 lofig_list *lofig1, *lofig2;
 
@@ -1694,7 +1696,7 @@
 
 
 /*===========================================================================*/
-          readparamfile (lofig1, lofig2, filename)
+          void readparamfile (lofig1, lofig2, filename)
 /*===========================================================================*/
 lofig_list *lofig1, *lofig2;
 char *filename;
@@ -1730,7 +1732,7 @@
 
 
 /*===========================================================================*/
-          presentation ()
+          void presentation ()
 /*===========================================================================*/
 { char revision[100] ;
 
@@ -1749,7 +1751,7 @@
 }
 
 /*****************************************************************************/
-          main (argc, argv)
+          int main (argc, argv)
 /*****************************************************************************/
 int argc;
 char **argv;
--- lynx/src/cutelbow.c	2002-09-30 12:20:47
+++ lynx/src/cutelbow.c	2026-05-01 10:31:03
@@ -43,6 +43,7 @@
 \------------------------------------------------------------*/
 
 # include <stdio.h>
+# include <string.h>
 
 # include "mut.h"
 # include "mlo.h"
--- lynx/src/flatrds.c	2002-09-30 12:20:47
+++ lynx/src/flatrds.c	2026-05-01 10:31:03
@@ -43,6 +43,7 @@
 \------------------------------------------------------------*/
 
 # include <stdio.h>
+# include <string.h>
 
 # include "mut.h"
 # include "mph.h"
--- lynx/src/parse.c	2002-09-30 12:20:48
+++ lynx/src/parse.c	2026-05-01 10:31:03
@@ -43,6 +43,7 @@
 \------------------------------------------------------------*/
 
 # include <stdio.h>
+# include <string.h>
 
 # include "mut.h"
 # include "mlo.h"
--- mbkap/src/alc_driv_p.c	2002-09-30 12:20:53
+++ mbkap/src/alc_driv_p.c	2026-05-01 10:31:03
@@ -38,6 +38,7 @@
 *                                                               *
 ************************************************************************/
 
+#include <string.h>
 #include <time.h>
 #include <mut.h>
 #include <mph.h>
--- mbkedif/src/driver.c	2002-09-30 12:20:54
+++ mbkedif/src/driver.c	2026-05-01 10:31:03
@@ -65,6 +65,9 @@
 #define DEBUG_MBKEDIF     "DEBUG_MBKEDIF"
 #define DEFAULT_SUFFIXES  "y=ScLib:dp=DpLib:fp=FpLib:sp=PadLib"
 
+/* From time.c */
+extern char *EdifTime(void);
+
 /* Global variables*/
 
 static int          edif_debug = FALSE;
@@ -78,7 +81,6 @@
 static chain_list  *already_drived = NULL;
 
 /* Global Functions*/
-
 static void         port_ext         ( );
 static void         edit_sig         ( );
 static void         edit_ins         ( );
--- mbkedif/src/parser_y.y	2006-03-29 12:10:35
+++ mbkedif/src/parser_y.y	2026-05-01 10:31:03
@@ -10,11 +10,15 @@
 /*                      version 4.06:   by Olivier BEAURIN (Nov. 93)    */
 /*----------------------------------------------------------------------*/
 
-#include <mut.h>
-#include <mlo.h>
+#include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#include <ctype.h>
 
+#include <mut.h>
+#include <mlo.h>
+#include "rcn.h"
+
 /*---------------------------------------------------------\
                      Les defines
 \---------------------------------------------------------*/
@@ -65,7 +69,9 @@
 extern  char       *edif_busname        ( );
 
 extern  int         yylineno;
-
+int ediferror(char *String);
+void edifrestart(FILE *input_file);
+int ediflex(void);
 %}
 
 %start r_edif
--- mbkedif/src/time.c	2006-03-29 12:10:36
+++ mbkedif/src/time.c	2026-05-01 10:31:03
@@ -47,7 +47,7 @@
 #include <string.h>
 #include <time.h>
 
-char *EdifTime()
+char *EdifTime(void)
 {
 int EdifMonth();
 char *date;
--- mbkmg/src/mbk2mg.c	2002-09-30 12:20:56
+++ mbkmg/src/mbk2mg.c	2026-05-01 10:31:03
@@ -431,7 +431,7 @@
 phref_list *HeadOfList;
 {
 register phref_list *pt;
-static refindex;
+static int refindex;
 
 	for (pt = HeadOfList; pt; pt = pt->NEXT) {
 		/* text because we don't know how to print anything */
--- mbkmg/src/mg2mbk_y.y	2002-09-30 12:20:56
+++ mbkmg/src/mg2mbk_y.y	2026-05-01 10:31:03
@@ -34,6 +34,8 @@
 #include <mph.h>
 #define MAXLAYER (LAST_LAYER + 1)
 
+int mgnlex(void);
+int mgnerror(char *);
 static phfig_list *mgleaf; /* modgen leaf cell parsed */
 static char mbk_layer();
 static char *checkinsname();
--- mbkspice/src/spi_hash.c	2002-09-30 12:20:57
+++ mbkspice/src/spi_hash.c	2026-05-01 10:31:03
@@ -31,6 +31,7 @@
 *******************************************************************************/
 
 #include <stdio.h>
+#include <string.h>
 #include <mut.h>
 #include "spi_hash.h"
 
--- mbkspice/src/spi_msg.c	2002-09-30 12:20:57
+++ mbkspice/src/spi_msg.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include "spi_msg.h"
 
 #include <mut.h>
--- mbkvhdl/src/mvl_parse.c	2009-06-14 09:51:55
+++ mbkvhdl/src/mvl_parse.c	2026-05-01 10:31:03
@@ -38,6 +38,7 @@
 #include "mvl_parse.h"
 #include "mvl_utdef.h"
 
+extern void mvl_y_restart(FILE *input_file);
 void vhdlloadlofig (pt_lofig, figname, mode)
 
 struct lofig *pt_lofig;
--- mbkvhdl/src/mvl_scomp_y.y	2009-06-14 09:51:55
+++ mbkvhdl/src/mvl_scomp_y.y	2026-05-01 10:31:03
@@ -11,12 +11,15 @@
 
 %{
 #include <stdio.h>
+#include <string.h>
 #include <mut.h>
 #include <mlo.h>
 #include "mvl_stype.h"
 #include "mvl_syacc.h"
 #include "mvl_stdef.h"
 
+int mvl_y_lex(void);
+int mvl_y_error(char *);
 
 static int           MVL_GENFLG = 0   ;	/* Indicates if generic 	*/
 static int           MVL_CONRNK = 0   ;	/* rank of an implicit connexion*/
--- mbkvhdlg/src/mvl_parse.c	2009-06-14 09:51:56
+++ mbkvhdlg/src/mvl_parse.c	2026-05-01 10:31:03
@@ -15,6 +15,7 @@
 #include "mvl_parse.h"
 #include "mvl_utdef.h"
 
+extern void mvl_y_restart(FILE *input_file);
 void vhdlloadlofig (pt_lofig, figname, mode)
 
 struct lofig *pt_lofig;
--- mbkvhdlg/src/mvl_scomp_y.y	2009-06-14 09:51:56
+++ mbkvhdlg/src/mvl_scomp_y.y	2026-05-01 10:31:03
@@ -20,6 +20,8 @@
 #include "mvl_stdef.h"
 #include "gen_generic.h"
 
+int mvl_y_lex(void);
+int mvl_y_error(char *);
 
 static int           MVL_GENFLG = 0   ; /* Indicates if generic         */
 static int           MVL_CONRNK = 0   ; /* rank of an implicit connexion*/
--- mbkvhdlg/src/vel_drive.c	2002-12-19 07:56:29
+++ mbkvhdlg/src/vel_drive.c	2026-05-01 10:31:03
@@ -95,11 +95,18 @@
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#include <ctype.h>
 #include <mut.h>
 #include <mlo.h>
 #include <mlu.h>
 #include "vel_velo.h"
 #include "gen_generic.h"
+
+extern void vectorize_velosig(lofig_list *f);
+extern void vectorize_velocon(lofig_list *f, ptype_list *p);
+extern void chkdir(lofig_list *f);
+extern void addsignals(lofig_list *f);
+extern int vhdlsavevelofig(lofig_list *f, int mode);
 
 /* ###--------------------------------------------------------------------### */
 /* #   Static Variables                                                     # */
--- mbkvhdlg/src/vel_vect.c	2002-04-26 05:51:07
+++ mbkvhdlg/src/vel_vect.c	2026-05-01 10:31:03
@@ -56,6 +56,8 @@
 #include <mlo.h>
 #include <mlu.h>
 
+extern void sortlosigv(losig_list **signals);
+
 static char buffer[BUFSIZ];
 
 #define Signame(sig) ((sig)->NAMECHAIN->DATA)
--- mbkvhdlg/src/x2vy_main.c	2009-06-14 09:51:57
+++ mbkvhdlg/src/x2vy_main.c	2026-05-01 10:31:03
@@ -58,6 +58,9 @@
 #define ADDSIG 0x40
 #define NOLOGEN 0x80
 
+extern void vectlosig(losig_list **s);
+extern int vhdlsavevelofig(lofig_list *f, int mode);
+
 static void printusage(void)
 {
    fputs("** Usage : x2vy [-nrvc] file [outputfile]\n",               stderr);
--- mips_asm/src/mips_util.c	2004-05-23 09:57:39
+++ mips_asm/src/mips_util.c	2026-05-01 10:31:03
@@ -30,6 +30,8 @@
 /* ###--------------------------------------------------------------### */
 	
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
--- mips_asm/src/mips_y.y	2004-05-23 09:57:39
+++ mips_asm/src/mips_y.y	2026-05-01 10:31:03
@@ -31,6 +31,8 @@
 
 %{
 #include <stdio.h>
+#include <string.h>
+
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
@@ -38,11 +40,12 @@
 #include "mips_defs.h"
 #include "mips_yacc.h"
 
-main (argc, argv)
+int yylex();
+int yyerror(char *);
+int yyparse();
+void yyrestart(FILE *);
 
-int   argc   ;
-char *argv [];
-
+int main (int argc, char *argv[])
   {
   extern FILE  *yyin          ;
   extern FILE  *MPS_WRTFIL    ;
@@ -1640,7 +1643,7 @@
 /* called func.	: none							*/
 /* ###--------------------------------------------------------------### */
 
-yyerror (str)
+int yyerror (str)
 
 char *str;
 
--- ocp/src/placer/PPlacement.h	2008-01-07 12:22:51
+++ ocp/src/placer/PPlacement.h	2026-05-01 10:31:03
@@ -79,11 +79,11 @@
 	typedef map<double, unsigned, less<double> > PRowsYMax;
 	typedef map<double, unsigned, greater<double> > PRowsYMinInv;
 	typedef hash_map<long, PONet*> PNetMap;
-	typedef hash_map<const char*, PIns*, hash<const char *>, eqstr>PInsMap;
-	typedef hash_map<const char*, PCon*, hash<const char *>, eqstr> PConMap;
-	typedef hash_map<const char*, locon*, hash<const char *>, eqstr> PLoconMap;
-	typedef hash_map<const char*, int, hash<const char *>, eqstr> PFixedMap;
-	typedef hash_map<const char*, PDetToPlaceIns*, hash<const char*>, eqstr> PDetInsMap;
+	typedef hash_map<const char*, PIns*, std::hash<const char *>, eqstr>PInsMap;
+	typedef hash_map<const char*, PCon*, std::hash<const char *>, eqstr> PConMap;
+	typedef hash_map<const char*, locon*, std::hash<const char *>, eqstr> PLoconMap;
+	typedef hash_map<const char*, int, std::hash<const char *>, eqstr> PFixedMap;
+	typedef hash_map<const char*, PDetToPlaceIns*, std::hash<const char*>, eqstr> PDetInsMap;
 
 	PBBox		BBox;
 	int		_dx;
--- phl/src/pat_debug.c	2009-06-14 09:52:04
+++ phl/src/pat_debug.c	2026-05-01 10:31:03
@@ -30,6 +30,7 @@
 /* ###--------------------------------------------------------------### */
 
 #include <stdio.h>
+#include <string.h>
 #include "mut.h"
 #include "pat.h"
 #include "pat_debug.h"
--- ppt/src/pat_decl_y.y	2009-06-14 09:52:05
+++ ppt/src/pat_decl_y.y	2026-05-01 10:31:03
@@ -40,6 +40,11 @@
 #include "pat_type.h"
 #include "pat_decl.h"
 
+int yylex();
+void yyerror(char *);
+int yyparse();
+extern void pat_decl_y_restart(FILE *);
+
 /* ###--------------------------------------------------------------### */
 /* function	: yyerror						*/
 /* description	: print an error message (errors detected by yacc)	*/
--- ppt/src/pat_desc_y.y	2009-06-14 09:52:05
+++ ppt/src/pat_desc_y.y	2026-05-01 10:31:03
@@ -40,6 +40,10 @@
 #include "pat_type.h"
 #include "pat_desc.h"
 
+int yylex();
+void yyerror(char *);
+int yyparse();
+
 /* ###--------------------------------------------------------------### */
 /* function	: lcl_addpacom						*/
 /* description	: create PACOM structure if there is no more structure	*/
--- proof/src/proof_main.c	2002-09-30 12:21:07
+++ proof/src/proof_main.c	2026-05-01 10:31:03
@@ -32,6 +32,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
@@ -44,6 +45,11 @@
    
 extern befig_list *VHB_HEDFIG;
 
+extern int proofBeh(befig_list *, befig_list *, int, int);
+extern void polarBDBeh(befig_list *);
+extern void elimInoutBeh(befig_list *);
+extern void orderProofBeh(befig_list *, befig_list *, char);
+extern int elimBusMuxBeh(befig_list *);
 
 /*AFAC*/
 char *nameIntVect (char *name);
--- proof/src/proof_util.c	2009-06-14 09:52:06
+++ proof/src/proof_util.c	2026-05-01 10:31:03
@@ -31,7 +31,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
-
+#include <string.h>
 #include "mut.h"
 #include "log.h"
 #include "beh.h"
--- ring/src/lireplace.c	2009-06-14 09:52:10
+++ ring/src/lireplace.c	2026-05-01 10:31:03
@@ -53,6 +53,8 @@
 #include "lireplace.h"
 #include "sesame.h"
 
+int yyparse();
+
 /*-----------------------------------------------------------------------------------*/
 /* Lecture et verification du fichier de parametres , suffixe .rin. Lancement de     */
 /* l'analyseur syntaxique                                                            */
--- ring/src/posercircuit.c	2009-06-14 09:52:10
+++ ring/src/posercircuit.c	2026-05-01 10:31:03
@@ -49,6 +49,7 @@
 #include "barre.h"
 #include "stat.h"
 #include "sesame.h"
+#include <mgn.h>
 
 extern long	bigvias, ringvias;
 
--- ring/src/ringram.y	2002-03-13 14:23:36
+++ ring/src/ringram.y	2026-05-01 10:31:03
@@ -2,6 +2,9 @@
 %{
 #include <stdlib.h> 
 #include "struct.h"
+
+int yylex();
+int yyerror(char *);
 %}
 %token M_NORTH, M_SOUTH, M_WEST, M_EAST, M_WIDTH
 %token NOMBRE
--- sea/src/DEF2a.c	2003-06-26 13:00:39
+++ sea/src/DEF2a.c	2026-05-01 10:31:03
@@ -20,6 +20,7 @@
 #  include  "util_Defs.h"
 #  include  "DEF_grammar.h"
 
+extern void savephfig(phfig_list *);
 
 /*  ------------------------------------------------------------------
  *  Local constants.
--- sea/src/a2DEF.c	2003-06-26 13:00:39
+++ sea/src/a2DEF.c	2026-05-01 10:31:03
@@ -16,11 +16,12 @@
  *  \----------------------------------------------------------------/
  */
 
-
 # include  "util_Defs.h"
 # include  "DEF_drive.h"
 # include  "MAC_drive.h"
 
+extern void rflattenlofig(lofig_list *, char, char);
+extern void rflattenphfig(phfig_list *, char, char);
 
 /*  ------------------------------------------------------------------
  *  Local constants.
--- vasy/src/vasy_parse.c	2004-02-02 16:33:43
+++ vasy/src/vasy_parse.c	2026-05-01 10:31:03
@@ -65,6 +65,8 @@
 # include "vasy_error.h"
 # include "vasy_main.h"
 
+extern void VasyExpandDynFuncVbhFig(vbfig_list *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- vbl/src/vbl_bcomp_l.l	2009-06-14 09:52:16
+++ vbl/src/vbl_bcomp_l.l	2026-05-01 10:31:03
@@ -180,7 +180,7 @@
   strcpy(loc,s);
   while(l--) loc[l]=tolower(loc[l]);	/* conversion en minuscules */
   pt= (el_mc *) bsearch(loc, (char *)tab_mc,VBL_NB_MC,sizeof(el_mc),
- (long (*)(const void *, const void *)) strcmp);
+ (int (*)(const void *, const void *)) strcmp);
   if (pt==NULL) return(-1);
 
   return(pt->kval);
--- vbl/src/vbl_bcomp_y.y	2009-06-14 09:52:16
+++ vbl/src/vbl_bcomp_y.y	2026-05-01 10:31:03
@@ -44,6 +44,9 @@
 #include "vbl_bspec.h"
 #include "vbl_byacc.h"
 
+extern int yylex();
+extern int yyerror(char *);
+
 #if 1
 # define my_fprintf fprintf( stdout, "%s %d : ", basename(__FILE__), __LINE__ ); fprintf
 # define my_vbl_error(N,V) \
--- vbl/src/vbl_bspec.c	2009-06-14 09:52:17
+++ vbl/src/vbl_bspec.c	2026-05-01 10:31:03
@@ -35,6 +35,8 @@
 #include "vbl_bedef.h"
 #include "vbl_bspec.h"
 
+extern void vbl_toolbug(long, char *, char *, long);
+
 static long VblEvalError = 0;
 
 /* ###--------------------------------------------------------------### */
--- x2y/src/x2y.c	2004-07-30 10:28:22
+++ x2y/src/x2y.c	2026-05-01 10:31:03
@@ -27,6 +27,8 @@
 #include "mut.h"
 #include "mlo.h"
 #include "mph.h"
+#include "mlu.h"
+#include "mpu.h"
 
 /*
 
--- xfsm/src/XFS_error.c	2002-09-30 12:21:36
+++ xfsm/src/XFS_error.c	2026-05-01 10:31:03
@@ -44,6 +44,7 @@
 
 # include <stdio.h>
 # include <stdlib.h>
+# include <string.h>
 # include <signal.h>
 # include <setjmp.h>
 # include "mut.h"
--- xfsm/src/XFS_fsm.c	2002-09-30 12:21:36
+++ xfsm/src/XFS_fsm.c	2026-05-01 10:31:03
@@ -56,6 +56,7 @@
 # include "XSB.h" 
 # include "XFS.h"
 # include "XFS_fsm.h"
+# include "XFS_error.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XME_dialog.c	2002-09-30 12:21:36
+++ xfsm/src/XME_dialog.c	2026-05-01 10:31:03
@@ -62,6 +62,7 @@
 
 # include "XME_dialog.h"
 # include "XME_edit.h"
+# include "XME_search.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XME_edit.c	2002-09-30 12:21:36
+++ xfsm/src/XME_edit.c	2026-05-01 10:31:03
@@ -60,6 +60,12 @@
 
 # include "XME_edit.h"
 # include "XME_message.h"
+# include "XME_panel.h"
+# include "XMV_view.h"
+
+extern void XfsmLimitedLoop(Widget);
+extern void XfsmAddSelectList(xfsmobj_list *);
+extern void XfsmEditSelectPoint(long, long);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XME_panel.c	2002-09-30 12:21:37
+++ xfsm/src/XME_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,8 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
+# include <Xm/List.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -65,6 +67,10 @@
 # include "XME_dialog.h"
 # include "XME_edit.h"
 # include "XME_search.h"
+# include "XME_select.h"
+
+extern void XfsmEditSelectAccept();
+extern void XfsmEditSelectCancel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XME_search.c	2002-09-30 12:21:37
+++ xfsm/src/XME_search.c	2026-05-01 10:31:03
@@ -57,8 +57,11 @@
 # include "XMX.h"
 # include "XFS.h"
 # include "XME.h"
+# include "XMV.h"
 
 # include "XME_search.h"
+
+extern void XfsmLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XME_select.c	2002-09-30 12:21:37
+++ xfsm/src/XME_select.c	2026-05-01 10:31:03
@@ -59,8 +59,10 @@
 # include "XMX.h"
 # include "XFS.h"
 # include "XME.h"
+# include "XMV.h"
 
 # include "XME_select.h"
+# include "XME_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XMF_file.c	2002-09-30 12:21:37
+++ xfsm/src/XMF_file.c	2026-05-01 10:31:03
@@ -61,7 +61,8 @@
 # include "XMX.h"
 # include "XTB.h"
 # include "XMF.h"
-
+# include "XMV.h"
+# include "XMT.h"
 # include "XMF_file.h"
 
 /*------------------------------------------------------------\
--- xfsm/src/XMF_menu.c	2002-09-30 12:21:37
+++ xfsm/src/XMF_menu.c	2026-05-01 10:31:03
@@ -81,7 +81,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  static XfsmFirstFileOpen = 1;
+  static int XfsmFirstFileOpen = 1;
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XMF_panel.c	2002-09-30 12:21:37
+++ xfsm/src/XMF_panel.c	2026-05-01 10:31:03
@@ -70,6 +70,8 @@
 # include "XMF_panel.h"
 # include "XMF_dialog.h"
 
+extern void XfsmLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMH_panel.c	2004-07-29 06:10:51
+++ xfsm/src/XMH_panel.c	2026-05-01 10:31:03
@@ -69,6 +69,8 @@
 # include "XMH_panel.h" 
 # include "LIP6bw.h" 
 
+extern void XfsmLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMS_panel.c	2002-09-30 12:21:38
+++ xfsm/src/XMS_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -60,6 +61,8 @@
 # include "XMS.h"
 
 # include "XMS_panel.h"
+
+extern void XfsmLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XMS_setup.c	2002-09-30 12:21:38
+++ xfsm/src/XMS_setup.c	2026-05-01 10:31:03
@@ -63,6 +63,8 @@
 
 # include "XMS_setup.h"
 
+extern void XfsmInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMT_panel.c	2002-09-30 12:21:39
+++ xfsm/src/XMT_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
